<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\windows_network_drive\AppInfo;

use \OCA\windows_network_drive\lib\Log;

// check if license app is enabled
if (!\OCP\App::isEnabled('enterprise_key') && !\getenv('CI')) {
	// enable accidently disabled license app. Can happen during upgrade.
	\OCP\Util::writeLog('windows_network_drive', 'Enabling Enterprise license app which was deactivated.', \OCP\Util::ERROR);
	\OC_App::enable('enterprise_key');
} else {

	//Enable file externals because is a dependency
	if (!\OCP\App::isEnabled('files_external')) {
		\OC_App::enable('files_external');
	}

	\OCP\App::checkAppEnabled('windows_network_drive');

	\OCP\Util::connectHook('OC_Filesystem', 'preSetup', 'OCA\windows_network_drive\lib\Hooks', 'loadWNDBackend');
	$app = new Application();
}
